cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Migration or Upgrade from Windchill 9.x to 11.x

aachanta
13-Aquamarine

Migration or Upgrade from Windchill 9.x to 11.x

Hi Team,

 

If the source system is 9.x and if the target system is 11.x should we choose Migration or upgrade ?

 

I understand migration is not supported across 9.x to 11.x but should we prefer upgrade ? and if migration has to be done how do we migrate from 9.x to 11.x ?

 

How do we opt between Migration or Upgrade ?

4 REPLIES 4

Hello,

 

First step is to check the supported upgrade path. I think direct 9.x to 11.x upgrade is not supported. 

 

So the option here is to upgrade from 9.x to 10 (supported version) , verify everything and then upgrade from 10 to 11.

 

Let me know if you need any help!!

 

Thanks and Regards

Ajit Kulkarni

 

Hi @Ajit_Kulkarni 

 

Thank you. Please confirm what if we need to migrate from 9.x to 11.x using WBM or any other tool.

 

Just like how you shared the upgrade / update supported matrix can you please share the migration supported matrix also ?

 

And if we really need to migrate what would be the solution be like ? Should we first go to 10.x from 9.x and then from 10.x should we migrate to 11 ?

 

Can you give me a small or sample overview like how it goes 

ScottMorris
15-Moonstone
(To:aachanta)

To get to WC v11.n, you just need to perform an upgrade to a v10.n first. No WBM. Once you've confirmed the v10.n installation, you can start a v11.n upgrade. Each will need their own unique requirements and you'll need to sort out all the application changes like new Change Management, WC Vis properties in a new location, webGL preview, licensing, classification, search, Solr indexing, universal upload, Java replacement and of course supported operating systems. Once you're done, you can also stop using Internet Explorer 🙂

aachanta
13-Aquamarine
(To:ScottMorris)

Hi @ScottMorris 

 

I already have an existing 11.x target Windchill environment.

 

As I see from Upgrade it Requires a brand new installation of the target. So considering that my source system is 10.x and not 9.1 can I still use upgrade or if I had to use WBM only to migrate all the data into the existing target Windchill environment 11.1

 

Announcements
Learn more about how we are using our browser poll here